<div fxLayout="row" fxLayoutGap="10px" style="height: calc(100% - 64px)" style="margin: 1%">
<div fxFlex="49%" style="margin: 1%">
<table mat-table [dataSource]="allAccounts" class="mat-elevation-z8">

  <!--- Note that these columns can be defined in any order.
        The actual rendered columns are set as a property on the row definition" -->

  <!-- Position Column -->
  <ng-container matColumnDef="email">
    <th mat-header-cell *matHeaderCellDef> Email </th>
    <td mat-cell *matCellDef="let element">
      {{element.email}}
      <button mat-raised-button  (click)="deleteAccount(element.id)">
       <mat-icon>delete</mat-icon>
      </button>
      <button mat-raised-button *ngIf="!element.unlocked" (click)="verifyAccount(element.id)">
       Freigeben
      </button>
    </td>
  </ng-container>



  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>
</div>
<div fxFlex="49%">
  <form [formGroup]="chatForm" (ngSubmit)="chat()">
    <div fxLayout="row" fxLayoutAlign="space-between" fxLayoutGap="5px">
      <mat-form-field appearance="fill" fxFlex="80%">
        <mat-label>Nachricht</mat-label>
        <input matInput type="text" formControlName="message">
        <mat-error *ngIf="chatForm.controls.message.invalid">Eine Nachricht wird benötigt!
        </mat-error>
      </mat-form-field>
      <div fxFlex="20%">
        <button mat-raised-button color="primary" type="submit"
                [disabled]="chatForm.invalid">
          <mat-icon>send</mat-icon>
        </button>
      </div>
    </div>
  </form>
</div>
</div>
